summaryrefslogtreecommitdiffstats
path: root/system/sshfs-fuse/sshfs-fuse.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/sshfs-fuse/sshfs-fuse.SlackBuild')
-rw-r--r--system/sshfs-fuse/sshfs-fuse.SlackBuild10
1 files changed, 8 insertions, 2 deletions
diff --git a/system/sshfs-fuse/sshfs-fuse.SlackBuild b/system/sshfs-fuse/sshfs-fuse.SlackBuild
index a4396cca3c..4c39e0bdd1 100644
--- a/system/sshfs-fuse/sshfs-fuse.SlackBuild
+++ b/system/sshfs-fuse/sshfs-fuse.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, Alan Hicks, Lizella, GA
+# Copyright 2006-2009 Alan Hicks, Lizella, GA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -33,8 +33,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
# Exit on most errors
@@ -57,6 +62,7 @@ CFLAG="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -66,7 +72,7 @@ make
make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;